Rated 1 out of 5 stars

Didn't work for me.

Firefox/3.0.4
Linux 2.6.27.5-37.fc9.i686